package com.diagbot.dto;

import com.diagbot.enums.SexEnum;
import com.diagbot.util.ListUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/5/30 10:53
 */

@Getter
@Setter
public class SearchEvaluatorDTO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 姓名
     */
    private String name;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 性别(1：男 2：女)
     */
    private Integer sex;

    /**
     * 性别名称(1：男 2：女)
     */
    private String sexName;

    /**
     * 年龄
     */
    private Integer age;

    /**
     * 体质结果
     */
    private String physicalRes;

    /**
     * 需要显示的体质逗号隔开
     */
    private String physicalTypes;

    public String getSexName(){
        return SexEnum.getName(this.getSex());
    }

    //体质显示列表
    private List<PhysicalInfoDTO> physicalInfoDTOList = ListUtil.newArrayList();
}
